%define pyver 2.2

Summary:		Python's own image processing library 
Name:			python-imaging
Version:		1.1.3
Release:		1mdk
License:		MIT style
Group:			Development/Python
URL:			http://www.pythonware.com/products/pil/

Source0:		http://www.pythonware.com/downloads/Imaging-%{version}.tar.bz2 
Source1:		Imaging-doc.tar.bz2
Patch0:			python-imaging-tk.patch.bz2

Icon:			linux-python-paint-icon.gif
BuildRoot:		%{_tmppath}/%{name}-buildroot
Requires:		python >= 1.5, libjpeg >= 6b,  zlib >= 1.1.2, libpng >= 1.0.1 tix, tkinter
BuildRequires:	python-devel >= 1.5, libjpeg-devel >= 6b, libpng-devel >= 1.0.1 tix XFree86-devel

%description
Python Imaging Library version %{version}
   
The Python Imaging Library (PIL) adds image processing capabilities 
to your Python interpreter.

This library provides extensive file format support, an efficient
internal representation, and powerful image processing capabilities.
            
%prep
%setup -q -n Imaging-%{version} -a 1
%patch0 -p0

# Make sure to get the right python library
perl -pi -e "s,(\\\$\((exec_prefix|prefix|exec_installdir)\)|/usr/X11R6)/lib\b,\1/%{_lib},g" Makefile.pre.in Setup.in

# Nuke references to /usr/local
perl -pi -e "s,(-[IL]/usr/local/(include|lib)),,g" Setup.in

%build
cd libImaging
%configure
%make OPT="$RPM_OPT_FLAGS -fPIC"
cd ..

make -f Makefile.pre.in boot
%make OPT="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/python%{pyver}/site-packages/PIL/
mkdir -p $RPM_BUILD_ROOT%{_libdir}/python%{pyver}/lib-dynload/

install -m 644 PIL.pth $RPM_BUILD_ROOT%{_libdir}/python%{pyver}/site-packages/
install -m 555 _imaging.so $RPM_BUILD_ROOT%{_libdir}/python%{pyver}/site-packages/PIL/
for i in PIL/*; do
  install -m 644 $i $RPM_BUILD_ROOT%{_libdir}/python%{pyver}/site-packages/PIL/
done
install -m 755 _imagingtk.so $RPM_BUILD_ROOT%{_libdir}/python%{pyver}/lib-dynload/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc handbook Scripts Images Sane CHANGES* README
%{_libdir}/python%{pyver}/site-packages/PIL.pth
%{_libdir}/python%{pyver}/site-packages/PIL/
%{_libdir}/python%{pyver}/lib-dynload/_imagingtk.so

%changelog
* Mon Dec 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.3-1mdk
- let patch in place ( do not replace it by perl commands )
- from Austin Acton <aacton@yorku.ca> :
	- new version
	- update requires and buildrequires and files list

* Wed Dec  4 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.2-5mdk
- Teach it where python home is, and make sure to build static
  libraries with PIC if they can be turned into a DSO

* Wed Jan  2 2002 Frederic Lepied <flepied@mandrakesoft.com> 1.1.2-4mdk
- rebuild for python 2.2

* Wed Jul 18 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.2-3mdk
- BuildRequires:	XFree86-devel
- Copyright --> License
- Remove BuildRequires:	zlib-devel

* Tue Jul 17 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.2-2mdk
- don't provide python2.0 directory

* Fri May 18 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.2-1mdk
- 1.1.2

* Wed Mar 28 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.1-2mdk
- add _imagingtk.so (#2774).
- added Requires on tkinter.

* Wed Dec  6 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.1-1mdk
- 1.1.1

* Tue Sep 19 2000 David BAUDENS <baudens@mandrakesoft.com> 1.1-2mdk
- Fix FredL's typo

* Wed Sep 13 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1-1mdk
- 1.1

* Thu Mar 30 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0b1-3mdk
- group fix.

* Mon Jan 10 2000 Lenny Cartier <lenny@mandrakesoft.com>
- build for oxygen
- deactivate provinding of tkinter lib since Chmouel one's works perfectly

* Mon Dec 27 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- bz2 archive

* Mon Jan 11 1999 Oliver Andrich <oli@andrich.net>
- upgraded to Imaging 1.0b1

* Sun Dec 27 1998 Oliver Andrich <oli@andrich.net>
- changed Setup file so that the tkinter module is compiled with Tix and BLT
  support

* Mon Jul 20 1998 Oliver Andrich <oli@andrich.net>
- had to recompile and update the package to support the uptodate graphics
  libs

* Sat Jun 07 1998 Oliver Andrich <oli@andrich.net>
- updated package to version 0.3a4
